#include <exec/types.h>
#include <clib/asl_protos.h>
#include <clib/alib_stdio_protos.h>
#include <clib/battclock_protos.h>
#include <clib/battmem_protos.h>
#include <clib/cia_protos.h>
#include <clib/commodities_protos.h>
#include <clib/console_protos.h>
#include <clib/diskfont_protos.h>
#include <clib/dos_protos.h>
#include <clib/exec_protos.h>
#include <clib/expansion_protos.h>
#include <clib/gadtools_protos.h>
#include <clib/graphics_protos.h>
#include <clib/icon_protos.h>
#include <clib/iffparse_protos.h>
#include <clib/input_protos.h>
#include <clib/intuition_protos.h>
#include <clib/keymap_protos.h>
#include <clib/layers_protos.h>
#include <clib/mathffp_protos.h>
#include <clib/mathieeedoubbas_protos.h>
#include <clib/mathieeedoubtrans_protos.h>
#include <clib/mathieeesingbas_protos.h>
#include <clib/mathieeesingtrans_protos.h>
#include <clib/mathtrans_protos.h>
#include <clib/misc_protos.h>
#include <clib/potgo_protos.h>
#include <clib/ramdrive_protos.h>
#include <clib/timer_protos.h>
#include <clib/translator_protos.h>
#include <clib/utility_protos.h>
#include <clib/wb_protos.h>
#include <resources/battclock.h>
#include <resources/battmem.h>
#include <resources/battmembitsamiga.h>
#include <resources/battmembitsamix.h>
#include <resources/battmembitsshared.h>
#include <resources/cia.h>
#include <resources/ciabase.h>
#include <resources/disk.h>
#include <resources/filesysres.h>
#include <resources/mathresource.h>
#include <resources/misc.h>
#include <resources/potgo.h>
#include <libraries/asl.h>
#include <libraries/commodities.h>
#include <libraries/configregs.h>
#include <libraries/configvars.h>
#include <libraries/diskfont.h>
#include <libraries/dos.h>
#include <libraries/dosextens.h>
#include <libraries/expansion.h>
#include <libraries/expansionbase.h>
#include <libraries/filehandler.h>
#include <libraries/gadtools.h>
#include <libraries/iffparse.h>
#include <libraries/mathieeedp.h>
#include <libraries/mathlibrary.h>
#include <utility/date.h>
#include <utility/hooks.h>
#include <utility/tagitem.h>
#include <workbench/icon.h>
#include <workbench/startup.h>
#include <workbench/workbench.h>
#include <exec/alerts.h>
#include <exec/devices.h>
#include <exec/errors.h>
#include <exec/exec.h>
#include <exec/execbase.h>
#include <exec/initializers.h>
#include <exec/interrupts.h>
#include <exec/io.h>
#include <exec/libraries.h>
#include <exec/lists.h>
#include <exec/memory.h>
#include <exec/nodes.h>
#include <exec/ports.h>
#include <exec/resident.h>
#include <exec/semaphores.h>
#include <exec/tasks.h>
#include <rexx/errors.h>
#include <rexx/rexxio.h>
#include <rexx/rxslib.h>
#include <rexx/storage.h>
#include <graphics/clip.h>
#include <graphics/collide.h>
#include <graphics/copper.h>
#include <graphics/display.h>
#include <graphics/displayinfo.h>
#include <graphics/gels.h>
#include <graphics/gfx.h>
#include <graphics/gfxbase.h>
#include <graphics/gfxmacros.h>
#include <graphics/gfxnodes.h>
#include <graphics/graphint.h>
#include <graphics/layers.h>
#include <graphics/monitor.h>
#include <graphics/rastport.h>
#include <graphics/regions.h>
#include <graphics/scale.h>
#include <graphics/sprite.h>
#include <graphics/text.h>
#include <graphics/videocontrol.h>
#include <graphics/view.h>
#include <intuition/cghooks.h>
#include <intuition/classes.h>
#include <intuition/iobsolete.h>
#include <intuition/classusr.h>
#include <intuition/gadgetclass.h>
#include <intuition/icclass.h>
#include <intuition/imageclass.h>
#include <intuition/intuition.h>
#include <intuition/intuitionbase.h>
#include <intuition/preferences.h>
#include <intuition/screens.h>
#include <intuition/sghooks.h>
#include <hardware/adkbits.h>
#include <hardware/blit.h>
#include <hardware/cia.h>
#include <hardware/custom.h>
#include <hardware/dmabits.h>
#include <hardware/intbits.h>
#include <dos/datetime.h>
#include <dos/dos.h>
#include <dos/dosasl.h>
#include <dos/dosextens.h>
#include <dos/doshunks.h>
#include <dos/dostags.h>
#include <dos/exall.h>
#include <dos/filehandler.h>
#include <dos/notify.h>
#include <dos/rdargs.h>
#include <dos/record.h>
#include <dos/stdio.h>
#include <dos/var.h>
#include <devices/audio.h>
#include <devices/bootblock.h>
#include <devices/clipboard.h>
#include <devices/console.h>
#include <devices/conunit.h>
#include <devices/gameport.h>
#include <devices/hardblocks.h>
#include <devices/input.h>
#include <devices/inputevent.h>
#include <devices/keyboard.h>
#include <devices/keymap.h>
#include <devices/narrator.h>
#include <devices/parallel.h>
#include <devices/printer.h>
#include <devices/prtbase.h>
#include <devices/prtgfx.h>
#include <devices/scsidisk.h>
#include <devices/serial.h>
#include <devices/timer.h>
#include <devices/trackdisk.h>
#include <pragmas/exec_old_pragmas.h>
#include "my_dos_pragmas.h"